package com.bytesw.bytebot.model;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "AVB_AIRPORT")
@NamedQuery(name = "Airport.findByPK", query = "Select u from Airport u where u.id = ?1")
@Getter
@Setter
@EqualsAndHashCode
@ToString(exclude = "id")
public class Airport implements Serializable {
    @Id
    @Column(name = "airp_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(name = "airp_airport_name", nullable = false)
    private String airportName;

    @Column(name = "airp_location", nullable = false)
    private String airportLocation;

    @Column(name = "airp_other_details", nullable = false)
    private String otherDetails;
}
