import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AgenteRoutingModule } from './agente-routing.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatTableModule, MatCheckboxModule, MatIconModule, MatTabsModule, MatTooltipModule, MatButtonModule, MatMenuModule, MatSelectModule, MatAutocompleteModule, MatButtonToggleModule, MatCardModule, MatChipsModule, MatDialogModule, MatDividerModule, MatExpansionModule, MatFormFieldModule, MatInputModule, MatListModule, MatNativeDateModule, MatPaginatorModule, MatProgressBarModule, MatProgressSpinnerModule, MatRadioModule, MatRippleModule, MatSidenavModule, MatSlideToggleModule, MatSnackBarModule, MatSortModule, MatStepperModule, MatToolbarModule } from '@angular/material';
import { TranslateModule } from '@ngx-translate/core';
import { DirtyGuard, XdfGalleryModule } from '@xdf/gallery';
import { XdfSettingsModule } from '@xdf/settings';
import { NgScrollbarModule } from 'ngx-scrollbar';
import { PasajeroComponent } from './pasajero/pasajero.component';
import { ReservaComponent } from './reserva/views/reserva-detail/reserva.component';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { AceEditorModule } from 'ng2-ace-editor';
import { Ng2TelInputModule } from 'ng2-tel-input';
import { MaterialFileInputModule } from 'ngx-material-file-input';
import { SlickCarouselModule } from 'ngx-slick-carousel';
import { NgxTributeModule } from 'ngx-tribute';


@NgModule({
  declarations: [PasajeroComponent, ReservaComponent],
  imports: [
    FormsModule,
    XdfSettingsModule,
    NgScrollbarModule,
    ReactiveFormsModule,
    MatAutocompleteModule,
    MatCardModule,
    MatButtonModule,
    MatButtonToggleModule,
    MatFormFieldModule,
    MatInputModule,
    MatPaginatorModule,
    MatProgressSpinnerModule,
    MatRadioModule,
    MatSelectModule,
    MatSortModule,
    MatTabsModule,
    MatTableModule,
    MatToolbarModule,
    MatTooltipModule,
    MatExpansionModule,
    MatChipsModule,
    MatNativeDateModule,
    MatRippleModule,
    MatCheckboxModule,
    MatSlideToggleModule,
    MatIconModule,
    MatMenuModule,
    MatDialogModule,
    MatStepperModule,
    MatListModule,
    MatSidenavModule,
    MatDividerModule,
    MatSnackBarModule,
    NgbModule,
    SlickCarouselModule,
    TranslateModule,
    XdfGalleryModule,
    CommonModule,
    AceEditorModule,
    NgxTributeModule,
    MatProgressBarModule,
    MaterialFileInputModule,
    Ng2TelInputModule,
    AgenteRoutingModule
  ],
  entryComponents: [
  ],
  providers: [
    { provide: DirtyGuard, useClass: DirtyGuard },
  ]
})
export class AgenteModule { }
