import { NgModule } from '@angular/core';
import { DirtyGuard, XdfGalleryModule } from '@xdf/gallery';

import { BusinessParametersRoutingModule } from './business-parameters-routing.module';
import { CommonModule } from '@angular/common';
//import { BusinessParametersFormComponent } from './views/business-parameters-form.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfSettingsModule } from '@xdf/settings';

import { MatButtonModule, MatCheckboxModule, MatIconModule, MatMenuModule, MatProgressSpinnerModule, MatSelectModule, MatTableModule, MatTabsModule, MatTooltipModule } from '@angular/material';
import { NgScrollbarModule } from 'ngx-scrollbar';
 import { BusinessParametersFormComponent } from './views/business-parameters-form.component';
import { ChangeHistoryDialogComponent } from './views/components/change-history-dialog.component';

// import { ChangeHistoryDialogComponent } from './views/components/change-history-dialog/change-history-dialog.component';
 import { ChangeHistoryDialogService } from './views/components/services/change-history-dialog.service';

@NgModule({
  declarations: [
  BusinessParametersFormComponent,
    ChangeHistoryDialogComponent],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    BusinessParametersRoutingModule,
    MatTableModule,
    NgScrollbarModule,
    MatCheckboxModule,
    MatIconModule,
    MatTabsModule,
    MatTooltipModule,
    MatButtonModule,
    MatMenuModule,
    MatSelectModule
  ],
  entryComponents:[
     ChangeHistoryDialogComponent
  ],
  providers: [
    { provide: DirtyGuard, useClass: DirtyGuard },
    // ChangeHistoryDialogService
  ]
})
export class BusinessParametersModule { }